I've gotten the ztk kgs tests to pass with Python 2.5 on Mac OS X.

I've got them mostly passing with on Python 2.6.  The only failure I'm
getting is for zope.testing and it's due to a Python 2.6 hotshot bug:


I'm not sure what to do about this. Perhaps I should disable this
test, or maybe even the feature for Python 2.6.

When building, I'm getting some deprecation warnings:

DeprecationWarning: the sets module is deprecated
  from sets import Set            # For python 2.3 compatibility
DeprecationWarning: The popen2 module is deprecated.  Use the
subprocess module.
  import popen2

It would be great if someone would fix these. :)

When running the tests, the only deprecation warnings are from
twisted, which we can't do anything about.

BTW, if you want to try this yourself, use the buildout at:



Jim Fulton
Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to